Page MenuHomePhabricator

Add py3 to tox environments as non-voting
ClosedPublic

Authored by demon on Apr 3 2018, 8:25 PM.

Details

Reviewers
mmodell
thcipriani
Group Reviewers
Release-Engineering-Team
Commits
rMSCAc06d142eea83: Add py3 to tox environments as non-voting
Patch without arc
git checkout -b D1020 && curl -L https://phabricator.wikimedia.org/D1020?download=true | git apply

Diff Detail

Repository
rMSCA Scap
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

demon created this revision.Apr 3 2018, 8:25 PM
Restricted Application added a reviewer: mmodell. · View Herald TranscriptApr 3 2018, 8:25 PM
Restricted Application added a reviewer: Release-Engineering-Team. · View Herald Transcript
Restricted Application added a project: Release-Engineering-Team. · View Herald Transcript
jenkins added a subscriber: jenkins.Apr 3 2018, 8:27 PM

Build has FAILED

Test Name
tox -vBuild Details

tox -v log

Got exit code 1 from PY_COLORS=1 tox -v

highlighting module code... [ 85%] scap.template
highlighting module code... [ 90%] scap.terminal
highlighting module code... [ 95%] scap.utils
highlighting module code... [100%] time

writing additional pages... search
copying images... [100%] assets/images/deploy-log.gif

copying static files... done
copying extra files... done
dumping search index in English (code: en) ... done
dumping object inventory... done
build succeeded.

The HTML pages are in docs/_build/html.
___________________________________ summary ____________________________________
  py27: commands succeeded
ERROR:   py36: InterpreterNotFound: python3.6
  flake8: commands succeeded
  doc: commands succeeded

Link to build: https://integration.wikimedia.org/ci/job/phabricator-jessie-diffs/1045/
See console output for more information: https://integration.wikimedia.org/ci/job/phabricator-jessie-diffs/1045/console

demon updated this revision to Diff 2679.Apr 3 2018, 8:34 PM
  • Also add py35 as an environment, skip missing interpreters
demon requested review of this revision.Apr 3 2018, 8:36 PM
demon updated this revision to Diff 2681.Apr 4 2018, 6:41 PM
  • Add python3.4 too
demon retitled this revision from Add py36 to tox environments as non-voting to Add py3 to tox environments as non-voting.Apr 4 2018, 7:17 PM
18:43:56   py27: commands succeeded
18:43:56   py34: ignored failed command
18:43:56 SKIPPED:  py35: InterpreterNotFound: python3.5
18:43:56 SKIPPED:  py36: InterpreterNotFound: python3.6
18:43:56   flake8: commands succeeded
18:43:56   doc: commands succeeded
18:43:56   congratulations :)
thcipriani accepted this revision.Apr 6 2018, 3:56 PM
This revision is now accepted and ready to land.Apr 6 2018, 3:56 PM
This revision was automatically updated to reflect the committed changes.